/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2025 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32h7xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define LED_envi_ON_Pin GPIO_PIN_0
#define LED_envi_ON_GPIO_Port GPIOC
#define LED_TOF_ON_Pin GPIO_PIN_1
#define LED_TOF_ON_GPIO_Port GPIOC
#define LED_STM_OK_Pin GPIO_PIN_2
#define LED_STM_OK_GPIO_Port GPIOC
#define LED_GPS_OK_Pin GPIO_PIN_3
#define LED_GPS_OK_GPIO_Port GPIOC
#define LED_BARO_ON_Pin GPIO_PIN_1
#define LED_BARO_ON_GPIO_Port GPIOA
#define LED_pitchD_Pin GPIO_PIN_2
#define LED_pitchD_GPIO_Port GPIOA
#define LED_pitchU_Pin GPIO_PIN_3
#define LED_pitchU_GPIO_Port GPIOA
#define LED_rollL_Pin GPIO_PIN_4
#define LED_rollL_GPIO_Port GPIOA
#define LED_rollR_Pin GPIO_PIN_5
#define LED_rollR_GPIO_Port GPIOA
#define LED_yawL_Pin GPIO_PIN_6
#define LED_yawL_GPIO_Port GPIOA
#define LED_yawR_Pin GPIO_PIN_7
#define LED_yawR_GPIO_Port GPIOA
#define LED_latZn_Pin GPIO_PIN_4
#define LED_latZn_GPIO_Port GPIOC
#define LED_latZp_Pin GPIO_PIN_5
#define LED_latZp_GPIO_Port GPIOC
#define LED_latYn_Pin GPIO_PIN_0
#define LED_latYn_GPIO_Port GPIOB
#define LED_latYp_Pin GPIO_PIN_1
#define LED_latYp_GPIO_Port GPIOB
#define LED_latXn_Pin GPIO_PIN_2
#define LED_latXn_GPIO_Port GPIOB
#define LED_latXp_Pin GPIO_PIN_10
#define LED_latXp_GPIO_Port GPIOB
#define IMU_wheeltick_Pin GPIO_PIN_14
#define IMU_wheeltick_GPIO_Port GPIOB
#define IMU_NRST_Pin GPIO_PIN_15
#define IMU_NRST_GPIO_Port GPIOB
#define IMU_direction_Pin GPIO_PIN_6
#define IMU_direction_GPIO_Port GPIOC
#define IMU_ANT_OFF_Pin GPIO_PIN_7
#define IMU_ANT_OFF_GPIO_Port GPIOC
#define IMU_wake_up_Pin GPIO_PIN_9
#define IMU_wake_up_GPIO_Port GPIOA
#define IMU_PPS_Pin GPIO_PIN_10
#define IMU_PPS_GPIO_Port GPIOA
#define IMU_data_ready_Pin GPIO_PIN_15
#define IMU_data_ready_GPIO_Port GPIOA
#define BARO_data_ready_Pin GPIO_PIN_10
#define BARO_data_ready_GPIO_Port GPIOC
#define TOF_data_ready_Pin GPIO_PIN_11
#define TOF_data_ready_GPIO_Port GPIOC
#define TOF_shutdown_Pin GPIO_PIN_12
#define TOF_shutdown_GPIO_Port GPIOC
#define LED_IMU_ON_Pin GPIO_PIN_8
#define LED_IMU_ON_GPIO_Port GPIOB
#define LED_ASS_ON_Pin GPIO_PIN_9
#define LED_ASS_ON_GPIO_Port GPIOB

/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
